> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bspk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schema and Versioning

## Schema

All API access is over HTTPS, and accessed from `https://api.bspk.com`. All data is sent as JSON.

```console theme={null}
$ curl -I --header "Authorization: Bearer TOKEN" https://api.bspk.com/api/extraction/v1/appointments

> HTTP/1.1 200 OK
> Server: nginx
> Date: Sat, 07 Aug 2021 00:17:40 GMT
> Content-Type: application/json; charset=utf-8
> X-Ratelimit-Limit: 30
> X-Ratelimit-Remaining: 1
> X-Total-Count: 130
> Link: <https://api.bspk.com/api/extraction/v1/appointments?page=2>; rel='next', <https://api.bspk.com/api/extraction/v1/appointments?page=2>; rel='last'
> Etag: W/"0eb2bd3f90361ca510aad3a24c2063cf"
```

Blank fields are included as null instead of being omitted.

All timestamps return in ISO 8601 format:

```
YYYY-MM-DDTHH:MM:SSZ
```

## Versioning

BSPK reserves the right to add more properties to objects, but will never change or remove them. Any breaking changes will result in a major API version update and will be comunicated previously.
